Subject: bug#16093: 24.3.50; Crash of emacs --daemon on killing X server

From: Dmitry Antipov <[email-masked]>
Date: Sat, 14 Dec 2013 06:08:47 +0400

On 12/14/2013 02:35 AM, Nix wrote:

> I concur that *not* freeing fonts at some point is a gigantic leak,
> though.

It's really gigantic in a specially designed case, which is quite
far from the most of regular use cases.  But it's a leak anyway.

> Am I right to assume that bug 16128 is the same bug, and that
> this is thus fixed by r115505? Or does r115506 indicate that you've
> been forced to let this leak stand? :(

No.  Revision 115489 (reverted by 115506) was an attempt to solve
two minor issues: 1) 'n_fonts' counter in FRAME_DISPLAY_INFO (f)
should be updated when the font is closed and 2) when font-entity
is gone, font_driver->free_entity should be called for it, if
non-NULL (for now macfont.m is the only driver where it is so).

Dmitry